> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Anchorage Transaction Status

> Polls Anchorage withdrawal status for a tax reference, applies status flips and settles idempotently when complete.

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/refresh-anchorage-transaction-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/refresh-anchorage-transaction-status:
    post:
      operationId: refreshAnchorageTransactionStatus
      summary: Refresh Anchorage Transaction Status
      description: >-
        Polls Anchorage withdrawal status for a tax reference, applies status
        flips and settles idempotently when complete.


        Not available to API keys yet. It will need `payments:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefreshAnchorageTransactionStatusRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshAnchorageTransactionStatusResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    RefreshAnchorageTransactionStatusRequest:
      type: object
      properties:
        taxReferenceID:
          type: string
      required:
        - taxReferenceID
    RefreshAnchorageTransactionStatusResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - INPROGRESS
            - SUCCESS
            - REJECTED
            - NEEDS_APPROVAL
        transactionHash:
          type:
            - string
            - 'null'
        settlementRecordID:
          type:
            - 'null'
            - 'null'
      required:
        - status
        - transactionHash
        - settlementRecordID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
